      subroutine append(car1,car2)
!     appends car2 to car1
      character(*) car1,car2
      l1=len(car1)
      lt1=len_trim(car1)
      lt2=len_trim(car2)
      if(lt1+lt2>l1) then
         print*,'append: lenth ca1 + length car1 > max(length car1'
         print*,lt1,'  +',lt1,'  >',l1
         stop
      endif
      car1(lt1+1:lt1+lt2)=trim(car2)
      end
      
      
